gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Provides a method of indicating how 'updates' should occur.

The purpose of this type is most easily explained in the context of its use. , a base class for slider widgets such as , uses an UpdateType to determine how often to update a text value when the user is dragging a slider bar around.

System.Enum System.IComparable System.IConvertible System.IFormattable
- Field
  Gtk.UpdateType Indicates that updates should occur as soon as possible.
- Field
  Gtk.UpdateType Indicates that updates are not urgent.

  This typically indicates that a whole group of updates can be done at once when a user action has finished.

- Field
  Gtk.UpdateType Indicates that updates should happen as often as possible, but a delay between an action and its update, is allowed.
- Field
  System.Int32 Internal field. Do not use.